Update a claims source
Roles
/v1/claim-sources/{id}Updates an existing claim source by providing its claimSourceID.
Analytic event
- CLAIM_SOURCE_UPDATE_START
- CLAIM_SOURCE_UPDATE_SUCCESS
- CLAIM_SOURCE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Claims source ID
uuidRequest Body
application/json
The updated claims source payload
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/claim-sources/41458e5a-9092-40b7-9a26-d4eb43c5792f" \ -H "Content-Type: application/json" \ -d '{ "name": "My claims from example.com", "url": "https://example.com", "requestParameters": { "mapFrom": "claims.accountType" }, "authorization": { "type": "api-key" } }'{
"id": "57fa09e2-82f3-4d3d-9eca-d0253e84a4e6",
"name": "My claims from example.com",
"url": "https://example.com",
"requestMethod": "GET",
"requestParameters": {
"mapFrom": "claims.accountType"
},
"authorization": {
"type": "api-key",
"value": "****************************************61m1J"
}
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "body",
"msg": "Invalid value",
"param": "url"
}
]
}{
"code": "NotFound",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Resource Not Found",
"param": "claimSourceId",
"value": "a368cfb4-9537-4439-acc6-ce3cf2287eb7"
}
]
}How would you rate this page?
Retrieve a claims source GET
Retrieves an existing claims source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_RETRIEVE_START * CLAIM_SOURCE_RETRIEVE_SUCCESS * CLAIM_SOURCE_RETRIEVE_FAIL
Delete a claims source DELETE
Deletes an existing claims source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_DELETE_START * CLAIM_SOURCE_DELETE_SUCCESS * CLAIM_SOURCE_DELETE_FAIL